Skip to main content
GET
Get Registration

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

registration_id
string<uuid>
required

Query Parameters

expand
boolean
default:false

Include enriched data (user/course/ship names)

Response

Successful Response

Registration data transfer object - returned from repositories. Represents a course enrollment/registration record.

Note: The registration.id is used as the xAPI registration ID.

id
string<uuid>
required
organization_id
string<uuid>
required
assignment_id
string<uuid>
required
course_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
completed_at
string<date-time> | null
score_percent
integer | null
time_spent_seconds
integer
default:0
attempt_count
integer
default:0
last_status_at
string<date-time> | null